## org.omg.CORBA
Class PrimitiveKindHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PrimitiveKindHelper

public class PrimitiveKindHelper
extends java.lang.Object

Helper class for : PrimitiveKind

Author:
  OpenORB Compiler

Constructor Summary
`PrimitiveKindHelper()`

Method Summary
`static PrimitiveKind` `extract(Any a)` Extract PrimitiveKind from an any
`static java.lang.String` `id()` Return the PrimitiveKind IDL ID
`static void` `insert(Any a, PrimitiveKind t)` Insert PrimitiveKind into an any
`static PrimitiveKind` `read(InputStream istream)` Read PrimitiveKind from a marshalled stream
`static TypeCode` `type()` Return the PrimitiveKind TypeCode
`static void` `write(OutputStream ostream, PrimitiveKind value)` Write PrimitiveKind into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveKindHelper

    public PrimitiveKindHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PrimitiveKind t)

  Insert PrimitiveKind into an any
  Parameters:
    `a` - an any
    `t` - PrimitiveKind value

### extract

    public static PrimitiveKind extract(Any a)

  Extract PrimitiveKind from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PrimitiveKind value

### type

    public static TypeCode type()

  Return the PrimitiveKind TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PrimitiveKind IDL ID
  Returns:
    an ID

### read

    public static PrimitiveKind read(InputStream istream)

  Read PrimitiveKind from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PrimitiveKind value

### write

    public static void write(OutputStream ostream,
                             PrimitiveKind value)

  Write PrimitiveKind into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PrimitiveKind value